Bug 1091722

Summary: Realtek SD Card Reader 10ec:5286 not recognized
Product: [Fedora] Fedora Reporter: fcbug
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 20CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-3.14.2-200.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-05-01 22:30:59 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description fcbug 2014-04-27 15:06:40 UTC
Description of problem:

The SD card reader ist listed, but no driver is loaded.
Card inserts are not recognized.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Insert SD card.
2.
3.

Actual results:

No reaction, no auto mount,
no partitions found with "cat /proc/partitions",
no message in journal,
no output of "udevadm monitor".


Expected results:

SD card should be found and auto mounted.


Additional info:

lspci:

00:00.0 Host bridge: Intel Corporation ValleyView SSA-CUnit (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation ValleyView Gen7 (rev 0c)
00:13.0 SATA controller: Intel Corporation ValleyView 6-Port SATA AHCI Controller (rev 0c)
00:14.0 USB controller: Intel Corporation ValleyView USB xHCI Host Controller (rev 0c)
00:1a.0 Encryption controller: Intel Corporation ValleyView SEC (rev 0c)
00:1b.0 Audio device: Intel Corporation ValleyView High Definition Audio Controller (rev 0c)
00:1c.0 PCI bridge: Intel Corporation ValleyView PCI Express Root Port (rev 0c)
00:1c.1 PCI bridge: Intel Corporation ValleyView PCI Express Root Port (rev 0c)
00:1c.3 PCI bridge: Intel Corporation ValleyView PCI Express Root Port (rev 0c)
00:1f.0 ISA bridge: Intel Corporation ValleyView Power Control Unit (rev 0c)
00:1f.3 SMBus: Intel Corporation ValleyView SMBus Controller (rev 0c)
02:00.0 Network controller: Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)
03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5286 (rev 01)
03:00.2 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 06)

lspci -v:

03:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5286 (rev 01)
	Subsystem: Realtek Semiconductor Co., Ltd. Device 5286
	Flags: bus master, fast devsel, latency 0, IRQ 255
	Memory at d0600000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 00
	Capabilities: [b0] MSI-X: Enable- Count=1 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel
	Capabilities: [160] Device Serial Number 00-00-00-01-00-4c-e0-00


If more information can help, don't hesitate to ask.

Comment 1 Josh Boyer 2014-04-27 15:23:28 UTC
You didn't tell us which kernel you're running.  Could you try the 3.14.1 kernel update in updates-testing and see if the rtsx_pci driver loads for this device?

Comment 2 fcbug 2014-04-27 16:21:19 UTC
I was using kernel 3.13.10.

With kernel 3.14.1 rtsx_pci is loaded with rtsx_pci_mms and rtsx_pci_sdmmc.
The SD card is auto mounted and working.

Thank You very much.

Comment 3 Josh Boyer 2014-04-28 12:20:38 UTC
Great, thanks for letting us know.

Comment 4 Fedora Update System 2014-04-28 21:00:30 UTC
kernel-3.14.2-200.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.14.2-200.fc20

Comment 5 Fedora Update System 2014-04-30 04:10:55 UTC
Package kernel-3.14.2-200.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.14.2-200.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5808/kernel-3.14.2-200.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-05-01 22:30:59 UTC
kernel-3.14.2-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.